Subject: [netatalk-admins] Pam and asun

From: David Hamm <[email-masked]>
Date: Thu, 30 Apr 1998 12:51:17 -0400 (EDT)

Having problems with pam on RH5.0 + updates and netatalk-1.4b2+asun2.0a18.2.  I
get the following messages in /var/log/messages when I try to login.
Apr 28 04:13:07 itcola afpd[3135]: ASIP session:548(2) from 10.1.1.96:2107(4)
Apr 28 04:13:07 itcola pam[3135]: unable to dlopen(/lib/security/pam_unix_auth.s
o)
Apr 28 04:13:07 itcola pam[3135]: [dlerror: /lib/security/pam_unix_auth.so: unde
fined symbol: crypt]
Apr 28 04:13:07 itcola pam[3135]: adding faulty module: /lib/security/pam_unix_a
uth.so
Apr 28 04:13:07 itcola afpd[2999]: server_child[1] 3135 done

I've checked and all of the files reverenced in the above messages are on the
system in the right place.  I remember reading in the README.ASUN that he used
a slightly modified version of pam?  And when I try to compile with the pam
line commented out in the Makefile it won't compile.

Any Suggestions?

------         David Hamm - [email-masked]           --------